Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
03501 Sound Minor Always Oct 30, 2009, 23:08 Jan 16, 2011, 15:33
Tester -MAME Source- View Status Public Platform MAME (Official Binary)
Assigned To AWJ Resolution Fixed OS Windows XP (32-bit)
Status [?] Resolved Driver toaplan2.cpp
Version 0.134u3 Fixed in Version 0.141u1 Build Normal
Summary 03501: batsugun, batsuguna, batsugunsp: Missing music and some sound effects
Description In all Batsugun versions including Special Ver., there is no background music. Furthermore, not all sound effects are played during play. When entering service mode, trying to play sound number 1-18 simply results in silence.
Steps To Reproduce
Additional Information Posted by quanta
Flags
Regression Version
Affected Sets / Systems batsugun, batsuguna, batsugunsp
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
6
User avatar
No.05092
Haze
Senior Tester
Oct 31, 2009, 03:34
edited on: Oct 31, 2009, 03:35
the sound cpu isn't emulated, that's the expected behavior until it is.
(needs the extended opcodes adding to the v30 core to support memory mapped registers and the other junk those cpus can use, batsugun might be the easiest case because the code doesn't appear encrypted on it)
User avatar
No.05094
Fujix
Administrator
Oct 31, 2009, 06:57
Besides it has an imperfect sound flag.
User avatar
No.05096
Haze
Senior Tester
Oct 31, 2009, 11:21
edited on: Oct 31, 2009, 11:21
I'd leave it open for further discussion incase somebody wants to implement the features required. I was mainly pointing out what needed to be done, and why this occurs, hence wju the flag is set in the first place.

technically the only sound that exists is a crude simulation based on the commands sent to the sound cpu, otherwise it would have no sound at all; it's inaccurate, and to get proper music you have to emulate the cpu instead.
User avatar
No.05102
Tafoid
Administrator
Nov 2, 2009, 16:56
edited on: Nov 2, 2009, 16:58
Technically, since this is a source mentioned bug - I guess we should label it as such.

You'll might all have noticed we (Fujix and I) don't go out of our way to add source bugs anymore - it was a good concept but hasn't produced the positive discussion about the bugs that was hoped. The hope was to have it be more visible to the end user and that has worked to some extent - but myself, I haven't seen it as a substantial help to the project. Even after Fujix entered a good 25-30% of the source mentioned bugs - there has been no offers to assist or in some cases maintain the drivers/listed bugs. It appears easier on the Developers to keep the source mention bugs strictly in the source. Having those who work on the source come here and maintain their driver's list is an extra task some Devs have not or will not do and leads to confusion and extra work for us here. In the end, the bugs will be added as reported - but doing nothing but reporting already mentioned bugs is not considered "testing". It might be worth reinstating the "It's Flagged" enforcement, particularly on these source mentioned bugs.

If there is further discussion needed regarding source listed bugs, please bring it up in private or on the list.
User avatar
No.05104
Haze
Senior Tester
Nov 2, 2009, 18:44
edited on: Nov 2, 2009, 18:46
Yeah I don't think having bugs will instantly result in a great deal of conversation, but it does mean that if somebody notices something then they can search here easily, and see that it's already a known issue with more specifics than the flags alone tell them (and without needing to dig through the source)

In the rare case where somebody has something constructive to say about one of the issues (or additional details to add which may help as test cases for example) it means they have a place to post about it and discuss it, which isn't always possible in other places.

It helps me to have a reference for bugs, including screenshots (or sound recordings) even in the case where the flags are set in MAME as the MAME source can't easily contain these things. Likewise inps and save states when the driver supports them (although our save state system is still too fussy about versions for them to be of long-term use for bugs)

Having everything in one place is good, especially when it's as easily searchable as Mametesters.
User avatar
No.07086
hap
Developer
Jan 16, 2011, 15:33
coolness, thanks AWJ